
QGIS Application - Bug report #13485

QGIS desktop launcher does not work in master

2015-10-01 11:29 AM - Goyo D

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21530

Description

Ubuntu Vivid, qgis master from debian-nightly. The qgis.desktop file (attached) wants to execute /usr/share/qgis:

TryExec=/usr/bin/qgis

Exec=/usr/bin/qgis %F

But this won't work:

user@host:~$ ls /usr/bin/qgis

bash: /usr/bin/qgis: No existe el archivo o el directorio

user@host:~$

(translation: The file or directory does not exist)

Actually there's no /usr/bin/qgis, there's a qgis.bin instead:

user@host:~$ ls /usr/bin/qgis*

/usr/bin/qgis.bin

user@host:~$

Synaptic reports that /usr/bin/qgis has been installed though (I guess I can get the same piece of information from dpkg or apt-get but I am

not familiar with the syntax). I would say this is a packaging issue but I can't find a category for that. Priority could be low --the program

works, as long as you execute the right binary or blocker --the average Joebuntu could be unable to launch the program.

Might be related to #13310 (the diversion thing). There's also a similar issue with the standalone browser.

Related issues:

Duplicated by QGIS Application - Bug report # 13599: Bug in debian qgis.desktop Closed 2015-10-14

Duplicates QGIS Application - Bug report # 13310: nightly build packages fail... Closed 2015-09-01

History

#1 - 2015-10-02 01:38 AM - Jürgen Fischer

- Status changed from Open to Feedback

try commit:e263e9e or above.
#2 - 2015-10-03 01:10 PM - Goyo D

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Fixed. Thanks, Jürgen.

Files

qgis.desktop 2.81 KB 2015-10-01 Goyo D
